Package com.xebialabs.deployit.plugin.api.deployment.specification

# Interface DeltaSpecification

All Superinterfaces:
  `Serializable`

public interface DeltaSpecification extends Serializable
The specification of what should happen on the target environment in order to deploy this `DeployedApplication`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Delta>`
  `getDeltas()`
  The `Delta`s that were calculated for this deployment
  `DeployedApplication`
  `getDeployedApplication()`
  The `DeployedApplication` that is the subject of the current (un)deployment.
  `Operation`
  `getOperation()`
  The operation that is being executed on the `DeployedApplication`.
  `DeployedApplication`
  `getPreviousDeployedApplication()`
  The `DeployedApplication` that is being replaced with this (un)deployment.
  `boolean`
  `isRollback()`
  Indicated whether this specification was calculated as a result of a rollback operation.

- ## Method Details

  - ### getOperation

    Operation getOperation()
    The operation that is being executed on the `DeployedApplication`.
    Returns:
      the operation

  - ### getPreviousDeployedApplication

    DeployedApplication getPreviousDeployedApplication()
    The `DeployedApplication` that is being replaced with this (un)deployment. Is `null` when this is an initial deployment.
    Returns:
      the previous version of the DeployedApplication

  - ### getDeployedApplication

    DeployedApplication getDeployedApplication()
    The `DeployedApplication` that is the subject of the current (un)deployment.

    Note: From XL Deploy 4.0 onwards this will return `null` when an undeployment is being planned, similar to `Delta`.
    Returns:
      the DeployedApplication

  - ### getDeltas

    List<Delta> getDeltas()
    The `Delta`s that were calculated for this deployment
    Returns:
      the list of `Delta`

  - ### isRollback

    boolean isRollback()
    Indicated whether this specification was calculated as a result of a rollback operation.
    Returns:
      `true` if this specification is a rollback specification.